petsc-3.4.2 2013-07-02

# VecGetLayout

get PetscLayout describing vector layout

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGetLayout(Vec x,PetscLayout *map)

Not Collective

### Input Arguments

x -the vector

### Output Arguments

map -the layout

### See Also

VecGetSizes(), VecGetOwnershipRange(), VecGetOwnershipRanges()

Level:developer
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages